Index: /trunk/sources/HeuristicLab.Core.Views/3.3/MovieView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/MovieView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/MovieView.Designer.cs	(revision 5287)
@@ -117,5 +117,5 @@
       // 
       this.stopButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.stopButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Stop;
+      this.stopButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Stop;
       this.stopButton.Location = new System.Drawing.Point(36, 355);
       this.stopButton.Name = "stopButton";
@@ -129,5 +129,5 @@
       // 
       this.nextButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.nextButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.MoveNext;
+      this.nextButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.MoveNext;
       this.nextButton.Location = new System.Drawing.Point(472, 325);
       this.nextButton.Name = "nextButton";
@@ -140,5 +140,5 @@
       // 
       this.lastButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.lastButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.MoveLast;
+      this.lastButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.MoveLast;
       this.lastButton.Location = new System.Drawing.Point(502, 325);
       this.lastButton.Name = "lastButton";
@@ -152,5 +152,5 @@
       // 
       this.playButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.playButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Play;
+      this.playButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Play;
       this.playButton.Location = new System.Drawing.Point(6, 355);
       this.playButton.Name = "playButton";
@@ -164,5 +164,5 @@
       // 
       this.previousButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.previousButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.MovePrevious;
+      this.previousButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.MovePrevious;
       this.previousButton.Location = new System.Drawing.Point(36, 325);
       this.previousButton.Name = "previousButton";
@@ -175,5 +175,5 @@
       // 
       this.firstButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.firstButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.MoveFirst;
+      this.firstButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.MoveFirst;
       this.firstButton.Location = new System.Drawing.Point(6, 325);
       this.firstButton.Name = "firstButton";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 5287)
@@ -113,5 +113,5 @@
         node.Text += "-";
         node.ToolTipText = "";
-        graphTreeView.ImageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing);
+        graphTreeView.ImageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Nothing);
         node.ImageIndex = graphTreeView.ImageList.Images.Count - 1;
         node.SelectedImageIndex = node.ImageIndex;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.Designer.cs	(revision 5287)
@@ -135,5 +135,5 @@
       // searchLabel
       // 
-      this.searchLabel.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Zoom;
+      this.searchLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Zoom;
       this.searchLabel.Location = new System.Drawing.Point(3, 3);
       this.searchLabel.Name = "searchLabel";
@@ -171,5 +171,5 @@
       this.setTypeParameterButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.setTypeParameterButton.Enabled = false;
-      this.setTypeParameterButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Edit;
+      this.setTypeParameterButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Edit;
       this.setTypeParameterButton.Location = new System.Drawing.Point(189, 19);
       this.setTypeParameterButton.Name = "setTypeParameterButton";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.cs	(revision 5287)
@@ -99,8 +99,8 @@
         treeNodes.Clear();
         imageList.Images.Clear();
-        imageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Class);      // default icon
-        imageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Namespace);  // plugins
-        imageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Interface);  // interfaces
-        imageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Template);   // generic types
+        imageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Class);      // default icon
+        imageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Namespace);  // plugins
+        imageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Interface);  // interfaces
+        imageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Template);   // generic types
 
         var plugins = from p in ApplicationManager.Manager.Plugins
@@ -137,6 +137,5 @@
                   imageList.Images.Add(type.FullName, item.ItemImage);
                   typeNode.ImageIndex = imageList.Images.IndexOfKey(type.FullName);
-                }
-                catch (Exception) { }
+                } catch (Exception) { }
               }
               typeNode.SelectedImageIndex = typeNode.ImageIndex;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 5287)
@@ -117,5 +117,5 @@
       // clearValueButton
       // 
-      this.clearValueButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
+      this.clearValueButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Remove;
       this.clearValueButton.Location = new System.Drawing.Point(36, 19);
       this.clearValueButton.Name = "clearValueButton";
@@ -128,5 +128,5 @@
       // setValueButton
       // 
-      this.setValueButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Edit;
+      this.setValueButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Edit;
       this.setValueButton.Location = new System.Drawing.Point(6, 19);
       this.setValueButton.Name = "setValueButton";
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 5287)
@@ -43,5 +43,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 5287)
@@ -43,5 +43,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 5287)
@@ -45,5 +45,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 5287)
@@ -43,5 +43,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 5287)
@@ -43,5 +43,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 5287)
@@ -41,5 +41,5 @@
     }
     public virtual Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 5287)
@@ -41,5 +41,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 5287)
@@ -41,5 +41,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 5287)
@@ -44,5 +44,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 5287)
@@ -41,5 +41,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 5287)
@@ -41,5 +41,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 5287)
@@ -41,5 +41,5 @@
     }
     public virtual Image ItemImage {
-      get { return VS2008ImageLibrary.Class; }
+      get { return VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Executable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Executable.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Executable.cs	(revision 5287)
@@ -31,9 +31,9 @@
     public override Image ItemImage {
       get {
-        if (ExecutionState == ExecutionState.Prepared) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutablePrepared;
-        else if (ExecutionState == ExecutionState.Started) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutableStarted;
-        else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutablePaused;
-        else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutableStopped;
-        else return HeuristicLab.Common.Resources.VS2008ImageLibrary.Event;
+        if (ExecutionState == ExecutionState.Prepared) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePrepared;
+        else if (ExecutionState == ExecutionState.Started) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
+        else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePaused;
+        else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
+        else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
       }
     }
Index: /trunk/sources/HeuristicLab.Core/3.3/Item.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Item.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Item.cs	(revision 5287)
@@ -42,5 +42,5 @@
     }
     public virtual Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Log.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Log.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Log.cs	(revision 5287)
@@ -34,5 +34,5 @@
 
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.File; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.File; }
     }
 
Index: /trunk/sources/HeuristicLab.Core/3.3/Scope.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Scope.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core/3.3/Scope.cs	(revision 5287)
@@ -33,5 +33,5 @@
   public sealed class Scope : NamedItem, IScope {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.OrgChart; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.OrgChart; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs	(revision 5287)
@@ -32,5 +32,5 @@
   public class BoolValue : ValueTypeValue<bool>, IComparable, IStringConvertibleValue {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Field; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Field; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/Comparison.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/Comparison.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/Comparison.cs	(revision 5287)
@@ -31,5 +31,5 @@
   public class Comparison : ValueTypeValue<ComparisonType>, IComparable {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Enum; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Enum; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 5287)
@@ -32,5 +32,5 @@
   public class DoubleValue : ValueTypeValue<double>, IComparable, IStringConvertibleValue {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Field; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Field; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/IntValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntValue.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntValue.cs	(revision 5287)
@@ -32,5 +32,5 @@
   public class IntValue : ValueTypeValue<int>, IComparable, IStringConvertibleValue {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Field; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Field; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/StringArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringArray.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringArray.cs	(revision 5287)
@@ -35,5 +35,5 @@
   public class StringArray : Item, IEnumerable<string>, IStringConvertibleArray {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 5287)
@@ -35,5 +35,5 @@
   public class StringMatrix : Item, IEnumerable<string>, IStringConvertibleMatrix {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/StringValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringValue.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringValue.cs	(revision 5287)
@@ -31,5 +31,5 @@
   public class StringValue : Item, IComparable, IStringConvertibleValue {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Field; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Field; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 5287)
@@ -35,5 +35,5 @@
   public abstract class ValueTypeArray<T> : Item, IEnumerable<T> where T : struct {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 5287)
@@ -35,5 +35,5 @@
   public abstract class ValueTypeMatrix<T> : Item, IEnumerable<T> where T : struct {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Class; }
     }
 
Index: /trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 5287)
@@ -31,5 +31,5 @@
   public abstract class ValueTypeValue<T> : Item where T : struct {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.ValueType; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.ValueType; }
     }
 
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/DebugEngineView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/DebugEngineView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/DebugEngineView.Designer.cs	(revision 5287)
@@ -77,6 +77,6 @@
       // executionStackView
       // 
-      this.executionStackView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.executionStackView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.executionStackView.Caption = "Execution Stack View";
@@ -111,5 +111,5 @@
       // 
       this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.refreshButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Refresh;
+      this.refreshButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Refresh;
       this.refreshButton.Location = new System.Drawing.Point(3, 511);
       this.refreshButton.Name = "refreshButton";
@@ -137,5 +137,5 @@
       // 
       this.stepButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.stepButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.MoveNext;
+      this.stepButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.MoveNext;
       this.stepButton.Location = new System.Drawing.Point(33, 511);
       this.stepButton.Name = "stepButton";
@@ -148,6 +148,6 @@
       // splitContainer3
       // 
-      this.splitContainer3.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.splitContainer3.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
       this.splitContainer3.Location = new System.Drawing.Point(0, 0);
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/ExecutionStackView.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/ExecutionStackView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/ExecutionStackView.cs	(revision 5287)
@@ -76,7 +76,7 @@
       treeView.Nodes.Clear();
       treeView.ImageList.Images.Clear();
-      treeView.ImageList.Images.Add(VS2008ImageLibrary.Method);
-      treeView.ImageList.Images.Add(VS2008ImageLibrary.Module);
-      treeView.ImageList.Images.Add(VS2008ImageLibrary.BreakpointActive);
+      treeView.ImageList.Images.Add(VSImageLibrary.Method);
+      treeView.ImageList.Images.Add(VSImageLibrary.Module);
+      treeView.ImageList.Images.Add(VSImageLibrary.BreakpointActive);
       int totalNodes = AddStackOperations(treeView.Nodes, ((IEnumerable<IOperation>)Content).Reverse());
       if (treeView.Nodes.Count > 0)
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContent.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContent.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContent.cs	(revision 5287)
@@ -43,14 +43,14 @@
         Name = Utils.Name(AtomicOperation);
         if (AtomicOperation.Operator != null && AtomicOperation.Operator.Breakpoint) {
-          Icon = VS2008ImageLibrary.BreakpointActive;
+          Icon = VSImageLibrary.BreakpointActive;
         } else {
-          Icon = VS2008ImageLibrary.Method;
+          Icon = VSImageLibrary.Method;
         }
       } else if (Collection != null) {
         Name = string.Format("{0} Operations", Collection.Count);
-        Icon = VS2008ImageLibrary.Module;
+        Icon = VSImageLibrary.Module;
       } else {
         Name = "";
-        Icon = VS2008ImageLibrary.Nothing;
+        Icon = VSImageLibrary.Nothing;
       }
     }
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/OperationContentView.cs	(revision 5287)
@@ -80,6 +80,6 @@
       scopeTreeView.Nodes.Clear();
       scopeTreeView.ImageList.Images.Clear();
-      scopeTreeView.ImageList.Images.Add(VS2008ImageLibrary.Namespace);
-      scopeTreeView.ImageList.Images.Add(VS2008ImageLibrary.Field);
+      scopeTreeView.ImageList.Images.Add(VSImageLibrary.Namespace);
+      scopeTreeView.ImageList.Images.Add(VSImageLibrary.Field);
       if (Content.IsContext) {
         var scope = Content.ExecutionContext.Scope;
@@ -124,5 +124,5 @@
       executionContextTreeView.Nodes.Clear();
       executionContextTreeView.ImageList.Images.Clear();
-      executionContextTreeView.ImageList.Images.Add(VS2008ImageLibrary.Namespace);
+      executionContextTreeView.ImageList.Images.Add(VSImageLibrary.Namespace);
       if (Content.IsContext) {
         AddExecutionContext(Content.ExecutionContext, executionContextTreeView.Nodes);
@@ -156,5 +156,5 @@
         TreeNode paramNode = node.Nodes.Add(label);
         paramNode.Tag = param;
-        executionContextTreeView.ImageList.Images.Add(param.ItemImage ?? VS2008ImageLibrary.Nothing);
+        executionContextTreeView.ImageList.Images.Add(param.ItemImage ?? VSImageLibrary.Nothing);
         paramNode.ImageIndex = executionContextTreeView.ImageList.Images.Count - 1;
         paramNode.SelectedImageIndex = paramNode.ImageIndex;
Index: /trunk/sources/HeuristicLab.DebugEngine/3.3/OperatorTraceView.cs
===================================================================
--- /trunk/sources/HeuristicLab.DebugEngine/3.3/OperatorTraceView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.DebugEngine/3.3/OperatorTraceView.cs	(revision 5287)
@@ -84,7 +84,7 @@
       listView.Items.Clear();
       listView.SmallImageList.Images.Clear();
-      listView.SmallImageList.Images.Add(VS2008ImageLibrary.Method);
-      listView.SmallImageList.Images.Add(VS2008ImageLibrary.Module);
-      listView.SmallImageList.Images.Add(VS2008ImageLibrary.BreakpointActive);
+      listView.SmallImageList.Images.Add(VSImageLibrary.Method);
+      listView.SmallImageList.Images.Add(VSImageLibrary.Module);
+      listView.SmallImageList.Images.Add(VSImageLibrary.BreakpointActive);
       foreach (var item in Content) {
         var viewItem = listView.Items.Add(item.Name ?? item.ItemName);
@@ -140,5 +140,5 @@
     #endregion
 
-    
+
   }
 
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/PermutationType.cs	(revision 5287)
@@ -31,5 +31,5 @@
   public class PermutationType : ValueTypeValue<PermutationTypes> {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Enum; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Enum; }
     }
 
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/SymbolicExpressionTree.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/SymbolicExpressionTree.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.3/SymbolicExpressionTree.cs	(revision 5287)
@@ -32,5 +32,5 @@
   public class SymbolicExpressionTree : Item {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Function; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Function; }
     }
     [Storable]
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.Designer.cs	(revision 5287)
@@ -67,5 +67,5 @@
       this.viewsLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.viewsLabel.ContextMenuStrip = this.viewContextMenuStrip;
-      this.viewsLabel.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Windows;
+      this.viewsLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.Windows;
       this.viewsLabel.Location = new System.Drawing.Point(211, 0);
       this.viewsLabel.Margin = new System.Windows.Forms.Padding(6, 3, 3, 3);
